{**
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

<section class="featured-products clearfix block {if isset($productClassWidget)} {$productClassWidget}{/if}">
  	<h2 class="h2 products-section-title title_block text-uppercase">
  		{l s='Customers who bought this product also bought:' d='Shop.Theme.Catalog'}
  	</h2>
	  <div class="block_content">
	    <div class="products">
	      <div class="owl-row">
	        <div id="cross-products">
	          {foreach from=$products item="product"}
	            <div class="item{if $smarty.foreach.mypLoop.index == 0} first{/if}">
	              {block name='product_miniature'}
	                {if isset($productProfileDefault) && $productProfileDefault}
	                  {* exits THEME_NAME/profiles/profile_name.tpl -> load template*}
	                  {hook h='displayLeoProfileProduct' product=$product profile=$productProfileDefault}
	                {else}
	                  {include file="catalog/_partials/productlist.tpl" products=$products productClass="col-xs-6 col-lg-4 col-xl-3"}
	                {/if}
	              {/block}
	            </div>
	          {/foreach}
	        </div>
	      </div>
	    </div>
	  </div>
</section>

<script type="text/javascript">

  products_list_functions.push(
    function(){
      $('#cross-products').owlCarousel({
        {if isset($IS_RTL) && $IS_RTL}
          direction:'rtl',
        {else}
          direction:'ltr',
        {/if}
        items : 4,
        itemsCustom : false,
        itemsDesktop : [1200, 4],
        itemsDesktopSmall : [992, 3],
        itemsTablet : [768, 2],
        itemsTabletSmall : false,
        itemsMobile : [480, 2],
        singleItem : false,         // true : show only 1 item
        itemsScaleUp : false,
        slideSpeed : 200,  //  change speed when drag and drop a item
        paginationSpeed :800, // change speed when go next page

        autoPlay : false,   // time to show each item
        stopOnHover : false,
        navigation : true,
        navigationText : ["&lsaquo;", "&rsaquo;"],

        scrollPerPage :true,
        responsive :true,
        
        pagination : false,
        paginationNumbers : false,
        
        addClassActive : true,
        
        mouseDrag : true,
        touchDrag : true,

      });
    }
  ); 
  
</script>