{**
 * PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
<div class="product-add-to-cart js-product-add-to-cart">
  {if !$configuration.is_catalog}
    {block name='product_quantity'}
      <div class="product-quantity clearfix">
        <div class="p-cartwapper">
          <div class="qty clearfix">
            <span class="control-label">{l s='Quantity' d='Shop.Theme.Catalog'}</span>
            <input
              type="number"
              name="qty"
              id="quantity_wanted"
	      inputmode="numeric"
	      pattern="[0-9]*"
	      {if $product.quantity_wanted}
              value="{$product.quantity_wanted}"
              min="{$product.minimal_quantity}"
            {else}
              value="1"
              min="1"
            {/if}
            class="input-group"
            min="{$product.minimal_quantity}"
            aria-label="{l s='Quantity' d='Shop.Theme.Actions'}"
          >
        </div>

          <div class="add">
            <button
              class="btn btn-primary add-to-cart"
              data-button-action="add-to-cart"
              type="submit"
              {if !$product.add_to_cart_url}
                disabled
              {/if}
            >
              <i class="icon-bag"></i>
              {l s='Add to cart' d='Shop.Theme.Actions'}
            </button>
          </div> 
          <div class="leo-compare-wishlist-button">
            {hook h='displayLeoWishlistButton' product=$product}
            {hook h='displayLeoCompareButton' product=$product}
          </div>
	  
          {hook h='displayProductActions' product=$product}

        </div>

        {block name='product_minimal_quantity'}
          <div class="product-minimal-quantity js-product-minimal-quantity">
            {if $product.minimal_quantity > 1}
              {l
              s='The minimum purchase order quantity for the product is %quantity%.'
              d='Shop.Theme.Checkout'
              sprintf=['%quantity%' => $product.minimal_quantity]
              }
            {/if}
          </div>
        {/block}
        {block name='product_availability'}
          <span id="product-availability" class="js-product-availability">
            {if $product.show_availability && $product.availability_message}
				{if $product.availability == 'available'}
					<span class="product-available">
						<i class="material-icons rtl-no-flip">&#xE5CA;</i>
						<span>{$product.availability_message}</span>
					</span>
				{elseif $product.availability == 'last_remaining_items'}
					<span class="product-last-items">
						<i class="material-icons">&#xE002;</i>
						<span>{$product.availability_message}</span>
					</span>
				{else}
					<span class="product-unavailable">
						<i class="material-icons">&#xE14B;</i>
						<span>{$product.availability_message}</span>
					</span>
				{/if}
				{$product.availability_message}
			{/if}
          </span>
        {/block}

      </div>
    {/block}

  {/if}
</div>
